Page MenuHomePhabricator

Refactor CirrusSearch\Searcher to remove usage of global variables and instead use a Config object
Closed, ResolvedPublic

Description

We want to be able to switch which wiki we are querying without having to execute within that wiki's context. We should be able to pass in a config object that contains all relevant information and pass that around instead of reaching out into globals.

This should play nice with the UserTesting class that currently overwrites global variables.

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a project: CirrusSearch.
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a project: Discovery. · View Herald TranscriptAug 24 2015, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev closed this task as Resolved.Sep 10 2015, 6:20 PM
Smalyshev claimed this task.
Smalyshev added a subscriber: Smalyshev.

I think this one is done.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 31 2015, 5:08 AM